/** @type {ConnectionManager} */
declare let manager: ConnectionManager;
declare namespace Status {
    const ERROR: number;
    const CONNECTING: number;
    const CONNFAIL: number;
    const AUTHENTICATING: number;
    const AUTHFAIL: number;
    const CONNECTED: number;
    const DISCONNECTED: number;
    const DISCONNECTING: number;
    const ATTACHED: number;
    const REDIRECT: number;
    const CONNTIMEOUT: number;
    const BINDREQUIRED: number;
    const ATTACHFAIL: number;
}
/** Class: ConnectionManager
 *
 * Manages the shared websocket connection as well as the ports of the
 * connected tabs.
 */
declare class ConnectionManager {
    /** @type {MessagePort[]} */
    ports: MessagePort[];
    /** @param {MessagePort} port */
    addPort(port: MessagePort): void;
    /**
     * @param {[string, string]} data
     */
    _connect(data: [string, string]): void;
    jid: string;
    socket: WebSocket;
    _attach(): void;
    /** @param {string} str */
    send(str: string): void;
    /** @param {string} str */
    close(str: string): void;
    _onOpen(): void;
    /** @param {CloseEvent} e */
    _onClose(e: CloseEvent): void;
    /** @param {MessageEvent} message */
    _onMessage(message: MessageEvent): void;
    /** @param {Event} error */
    _onError(error: Event): void;
    _closeSocket(): void;
}
//# sourceMappingURL=shared-connection-worker.d.ts.map